#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int N = 2050;
int a[N];
int main()
{
    int n;
    scanf("%d", &n);
    for (int i = 1; i <= n; i++)
        scanf("%d", a + i);
    for (int i = 1; i <= n; i++)
        a[i] += (int)1e6;
    printf("%d\n1 %d %d\n", n + 1, n, (int)1e6);
    for (int i = 1; i <= n; i++)
        printf("2 %d %d\n", i, a[i] - i);
    return 0;
}
